package com.xynet.marketing.service.factory.promotion.impl.v2;

import com.xynet.marketing.service.factory.promotion.PromotionFactory;
import com.xynet.marketing.service.factory.promotion.impl.base.PromotionFactoryBase;
import com.xynet.marketing.utils.collections.map.JMap;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author hechunping
 * @date 2025/1/22
 */
@Service
@Slf4j
@AllArgsConstructor
public class PromotionFactoryV2 implements PromotionFactory {

    private PromotionFactoryBase promotionFactoryBase;

    @Override
    public Integer saveOrUpdate(JMap<String, Object> param) {
        return promotionFactoryBase.saveOrUpdate(param);
    }
}
